require(['jquery'], function($) {
 $(document).ready(function(){
  $("#burgerClicker").click(function() {
    $( "#leftPanels" ).toggleClass("leftPanelsVisible");
  });//click
   const $menu = $('#leftPanels');

  $(document).mouseup(e => {
   if (!$menu.is(e.target) // if the target of the click isn't the container...ani jeho dite a nejde o kliknuti na dite burgera
   && $menu.has(e.target).length === 0 && $menu.hasClass("leftPanelsVisible") && $("#burgerClicker").has(e.target).length === 0) // ... nor a descendant of the container, nor Burger clicker jako parent
   {
     $menu.toggleClass("leftPanelsVisible");
  }
 });//druhe
  });//ready
});//require



